import http from "@/utils/request"
export default {
    index: {
        get: async function() {
            return await http.get('/system/index');
        }
    },
    dic: {
        tree: {
            url: `/system/dic/tree`,
            name: "获取字典树",
            get: async function() {
                return await http.get(this.url);
            }
        },
        list: {
            url: `/system/dic/lists`,
            name: "字典明细",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        },
        get: {
            url: `/system/dic/get`,
            name: "获取字典数据",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        }
    },
    role: {
        list: {
            url: `/system/role/list2`,
            name: "获取角色列表",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        }
    },
    dept: {
        list: {
            url: `/system/dept/lists`,
            name: "获取部门列表",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        }
    },
    user: {
        list: {
            url: `/system/user/lists`,
            name: "获取用户列表",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        }
    },
    app: {
        list: {
            url: `/system/app/lists`,
            name: "应用列表",
            get: async function() {
                return await http.get(this.url);
            }
        }
    },
    log: {
        list: {
            url: `/system/log/lists`,
            name: "日志列表",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        }
    },
    table: {
        list: {
            url: `/system/table/lists`,
            name: "表格列管理列表",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        },
        info: {
            url: `/system/table/info`,
            name: "表格列管理详情",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        }
    },
    tasks: {
        list: {
            url: `/system/tasks/lists`,
            name: "系统任务管理",
            get: async function(params) {
                return await http.get(this.url, params);
            }
        }
    }
}